document.addEventListener('DOMContentLoaded', () => {
    const vibrateButton = document.getElementById('vibrateButton');
    const statusElement = document.getElementById('status');
    
    // Check if vibration is supported
    const hasVibration = 'vibrate' in navigator;
    
    if (!hasVibration) {
        statusElement.textContent = 'Vibration not supported on this device';
        vibrateButton.disabled = true;
        return;
    }
    
    // Vibration pattern in milliseconds (vibrate, pause, vibrate)
    const vibrationPattern = [200, 100, 200];
    
    vibrateButton.addEventListener('click', () => {
        try {
            navigator.vibrate(vibrationPattern);
            statusElement.textContent = 'Vibrating...';
            
            // Clear status message after vibration
            setTimeout(() => {
                statusElement.textContent = '';
            }, 1000);
            
            // Add button animation
            vibrateButton.style.animation = 'none';
            vibrateButton.offsetHeight; // Trigger reflow
            vibrateButton.style.animation = 'shake 0.5s ease-in-out';
        } catch (error) {
            statusElement.textContent = 'Failed to vibrate device';
        }
    });
});

// Add shake animation keyframes
const style = document.createElement('style');
style.textContent = `
    @keyframes shake {
        0%, 100% { transform: translateX(0); }
        25% { transform: translateX(-5px); }
        75% { transform: translateX(5px); }
    }
`;
document.head.appendChild(style);